morpheus

suckless linux distro
git clone git://git.2f30.org/morpheus.git
Log | Files | Refs | Submodules | README | LICENSE

commit 0e89de67753dfa846af6910188047cfc92706d44
parent e62540363c8d7ddccbd59a08b1196b0a9839a12a
Author: sin <sin@2f30.org>
Date:   Fri Feb 21 16:26:54 +0000

Simplify build script

Diffstat:
build | 20++++++++++----------
1 file changed, 10 insertions(+), 10 deletions(-)
diff --git a/build b/build @@ -26,24 +26,24 @@ install() { . $1 ( - if ! fetch; then + fetch || { echo "Failed to fetch $1" >> "$top/morpheus.log" exit 1 - fi - if ! unpack; then + } + unpack || { echo "Failed to unpack $1" >> "$top/morpheus.log" exit 1 - fi - if ! patch; then + } + patch || { echo "Failed to patch $1" >> "$top/morpheus.log" exit 1 - fi - if ! build; then + } + build || { echo "Failed to build $1" >> "$top/morpheus.log" exit 1 - fi - if ! install; then + } + install || { echo "Failed to install $1" >> "$top/morpheus.log" exit 1 - fi + } )